<div><h1>Employee Information</h1></div>

<div class="example-container mat-elevation-z8">
  <mat-table #table [dataSource]="dataSource" matSort>

    <!-- Position Column -->
    <ng-container matColumnDef="FirstName">
      <mat-header-cell *matHeaderCellDef mat-sort-header> First Name </mat-header-cell>
      <mat-cell *matCellDef="let employee"> {{employee.FirstName}} </mat-cell>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="LastName">
      <mat-header-cell *matHeaderCellDef mat-sort-header> Last Name </mat-header-cell>
      <mat-cell *matCellDef="let employee"> {{employee.LastName}} </mat-cell>
    </ng-container>

    <!-- Weight Column -->
    <ng-container matColumnDef="Title">
      <mat-header-cell *matHeaderCellDef mat-sort-header> Title </mat-header-cell>
      <mat-cell *matCellDef="let employee"> {{employee.Title}} </mat-cell>
    </ng-container>

    <!-- Color Column -->
    <ng-container matColumnDef="Address">
      <mat-header-cell *matHeaderCellDef mat-sort-header> Address </mat-header-cell>
      <mat-cell *matCellDef="let employee"> {{employee.Address}} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="Username">
      <mat-header-cell *matHeaderCellDef mat-sort-header> Username </mat-header-cell>
      <mat-cell *matCellDef="let employee"> {{employee.Username}} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="Password">
      <mat-header-cell *matHeaderCellDef mat-sort-header> Password </mat-header-cell>
      <mat-cell *matCellDef="let employee"> {{employee.Password}} </mat-cell>
    </ng-container>

    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
    <mat-row *matRowDef="let row; columns: displayedColumns;" ></mat-row>
  </mat-table>
</div>

